#include "quadstar.h"

QuadStar::QuadStar(QWidget *parent) : QMainWindow(parent)
{
  ui.setupUi(this); // chargement de l'interface graphique
}


void QuadStar::on_pushButton_clicked()
{
  QString fileName;
  fileName = QFileDialog::getOpenFileName(this, "Choix du fichier", "", "CUE Files (*.cue);;All Files (*)");
  if (!fileName.isEmpty())
    ui.lineEdit->setText(fileName);

}

void QuadStar::on_pushButton_2_clicked()
{
  // recuperation du nom du fichier
  QString fileName;
  fileName = ui.lineEdit->text();

  // on verifie l'existence du fichier
  QFile file;
  file.setFileName(fileName);
  if( !file.exists() )
    return;      

  // creation des variables
  QString texte_complet = ""; 
  QString ligne1 = ""; 
  QString ligne2 = ""; 
  int modif = 0;
  int cpt=0;

  // lecture du fichier
  file.open(QIODevice::ReadOnly | QIODevice::Text );
  QTextStream in(&file);
  while (!in.atEnd()) 
  {
    if(cpt == 0)
    {
      cpt = 1;
      ligne1 = in.readLine(); 
    }
    else
    {
      ligne1 = ligne2; 
      ligne2 = in.readLine(); 

      if(ligne1.contains("INDEX 00") == TRUE && ligne2.contains("INDEX 01") == TRUE)
        modif = 1; 
      else
      {
        ui.plainTextEdit->insertPlainText ( ligne1 + "\n"); 
        texte_complet = texte_complet + ligne1 + "\n";
      }

    }

  } // fin du while
  texte_complet = texte_complet + ligne2;
  ui.plainTextEdit->insertPlainText ( ligne2); 

  file.close();

  // on indique s'il faut modifier ou non le fichier (presence de INDEX 00 et de INDEX 01
  if(modif == 0)
    ui.lineEdit_2->setText("Pas de modification du texte");
  else if(modif == 1)
    ui.lineEdit_2->setText("Texte modifi");

  // enregistrement du fichier s'il faut le modifier
  if(modif == 1)
  {
    file.open(QIODevice::WriteOnly | QIODevice::Text );
    QTextStream out(&file);
    out << texte_complet;    
    file.close();
  }






}
